{% comment %}
Presenter Club - Make Great Presentations, Faster
Copyright (C) 2016 Sam Parkinson <sam@sam.today>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
{% endcomment %}
{% load staticfiles %}

<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    {% block starthead %}{% endblock starthead %}
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <link rel="stylesheet" href="{% static 'css/main.css' %}" />
    <link rel="icon" type="image/x-icon" href="/static/favicon.ico?v=1" />

    <title>{% block title %}{% endblock %}</title>
    {% block endhead %}{% endblock endhead %}
</head>
<body {% block bodyattr %}{% endblock bodyattr %}>
    <div id="popup-container"></div>
    <div id="page-wrapper">
        {% block header %}{% endblock header %}
        {% block main %}{% endblock main %}

        <section id="footer"><div class="inner">
            {% block shovel %}
                {% if user.is_anonymous %}<div class="SignupShovel">
                    <div class="SignupShove__left">
                        <h2 class="major">Join us for Free</h2>
                        <p>With Presenter Club, you can make great presentations,
                           faster.</p>
                    </div>
                    <a class="button special"
                       href="{% url 'promo:signup' %}">Sign Up!</a>
                </div>{% endif %}
            {% endblock shovel %}

            <div class="FooterLinks">
                <div class="FooterLinks__list">
                    <li class="FooterLinks__item"><a href="/">
                        Home page
                    </a></li>
                    <li class="FooterLinks__item"><a href="/plans">
                        Features & Plans
                    </a></li>
                    <li class="FooterLinks__item"><a href="https://www.presenter.club/u/news">
                        Gallery
                    </a></li>
                    <li class="FooterLinks__item"><a href="/terms">
                        Terms of Use
                    </a></li>
                </div>
                {% if user.is_anonymous %}
                    <div class="FooterLinks__list">
                        <li class="FooterLinks__item"><a href="{% url 'promo:signup' %}">
                            Sign Up
                        </a></li>
                        <li class="FooterLinks__item"><a href="/accounts/login/">
                            Log in
                        </a></li>
                    </div>
                {% else %}
                    <div class="FooterLinks__list">
                        <li class="FooterLinks__item"><a href="{% url 'u:userpage' username=user.username %}">
                            Your Presentations
                        </a></li>
                        <li class="FooterLinks__item"><a href="{% url 'medialibrary:index' username=user.username %}">
                            Your Media Library
                        </a></li>
                        <li class="FooterLinks__item"><a href="{% url 'styles:index' username=user.username %}">
                            Your Styles
                        </a></li>
                    </div>
                {% endif %}
                <div class="FooterLinks__list">
                    <li class="FooterLinks__item">
                        &copy; Presenter Club
                    </li>
                    <li class="FooterLinks__item"><a href="https://gitlab.com/presenter.club/presenter.club">
                        AGPLv3.0 on GitLab
                    </a></li>
                    <li class="FooterLinks__item">
                        <a href="mailto:hi@presenter.club">hi@presenter.club</a>
                    </li>
                    <li class="FooterLinks__item">
                        <a href="http://html5up.net">HTML5 UP</a>
                    </li>
                </div>
                <div class="FooterLinks__list">
                    <li class="FooterLinks__item">
                        <a href="https://www.facebook.com/PresenterClub">Facebook</a>
                    </li>
                    <li class="FooterLinks__item">
                        <a href="https://twitter.com/PresenterClub">Twitter</a>
                    </li>
                    <li class="FooterLinks__item">
                        <a href="https://vid.me/PresenterClub">VidMe</a>
                    </li>
                </div>
        </div></section>
    </div>

    {% block end %}{% endblock end %}

    <script>
    window.heap=window.heap||[],heap.load=function(e,t){window.heap.appid=e,window.heap.config=t=t||{};var r=t.forceSSL||"https:"===document.location.protocol,a=document.createElement("script");a.type="text/javascript",a.async=!0,a.src=(r?"https:":"http:")+"//cdn.heapanalytics.com/js/heap-"+e+".js";var n=document.getElementsByTagName("script")[0];n.parentNode.insertBefore(a,n);for(var o=function(e){return function(){heap.push([e].concat(Array.prototype.slice.call(arguments,0)))}},p=["addEventProperties","addUserProperties","clearEventProperties","identify","removeEventProperty","setEventProperties","track","unsetEventProperty"],c=0;c<p.length;c++)heap[p[c]]=o(p[c])};
      {% if settings.IN_PROD %}
          heap.load("349054347");
          {% if user.is_authenticated %}
              heap.identify('{{ user.username }}')
          {% endif %}
      {% endif %}

{% load u %}
window.mySettings = {
    {% if user.is_authenticated %}
        email: {{ user.email | jsonify | safe }},
        created_at: '{{ user.date_joined | date:'U' }}',
        name: {{ user.username | jsonify | safe }},
        onboarding_status: {{ user | profile__onboarding_status | jsonify }},
        n_presentations: {{ user | user__n_presentations | jsonify }},
        is_pro: {{ user | isprouser | jsonify }},
    {% endif %}
    app_id: '3ae8fd74e36ca66a9b2d960434868434',
};
{% if settings.IN_PROD %}
    (function() {
    var interakt = document.createElement('script');
    interakt.type = 'text/javascript'; interakt.async = true;
    interakt.src = "//cdn.interakt.co/interakt/3ae8fd74e36ca66a9b2d960434868434.js";
    var scrpt = document.getElementsByTagName('script')[0];
    scrpt.parentNode.insertBefore(interakt, scrpt);
    })()
{% endif %}
    </script>
</body>
</html>
